Subject: bug#21068: closed (Re: bug#21224: guix system init --no-grub doesn't work)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Nov 2015 22:55:04 +0000

Your bug report

#21068: guix system: error: build failed: path `/gnu/store/..-grub.cfg' is not valid

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21068: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21068
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21224: guix system init --no-grub doesn't work
From: [email-masked] (Ludovic Courtès)
To: Mark H Weaver <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 02 Nov 2015 23:54:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver <[email-masked]> skribis:

> I ran into the same problem while porting GuixSD to MIPS, before I had
> GRUB working.
>
> The problem here is that the method for copying the necessary store
> items to the target directory is to copy grub.cfg and its transitive
> closure, using (maybe-copy grub.cfg).
>
> However, if --no-grub is specified, then grub.cfg is not built.
>
> The preliminary approach I used successfully was to build and install
> grub.cfg even if --no-grub is specified, although 'grub-install' is not
> run in that case.  Here's the patch I used:
>
> diff --git a/guix/scripts/system.scm b/guix/scripts/system.scm
> index 45f5982..6ec1f29 100644
> --- a/guix/scripts/system.scm
> +++ b/guix/scripts/system.scm
> @@ -331,8 +331,10 @@ boot directly to the kernel or to the bootloader."
>                                               (if (eq? 'init action)
>                                                   '()
>                                                   (previous-grub-entries))))
> -       (drvs   -> (if (and grub? (memq action '(init reconfigure)))
> -                      (list sys grub grub.cfg)
> +       (drvs   -> (if (memq action '(init reconfigure))
> +                      (if grub?
> +                          (list sys grub.cfg grub)
> +                          (list sys grub.cfg))
>                        (list sys)))
>         (%         (maybe-build drvs #:dry-run? dry-run?
>                                 #:use-substitutes? use-substitutes?)))

Applied in a704361, thanks!

Ludo’.

Subject: guix system: error: build failed: path `/gnu/store/..-grub.cfg' is not valid
From: Germano Gabbianelli <[email-masked]>
To: [email-masked]
Date: Wed, 15 Jul 2015 19:56:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,
I am using lubuntu 14.04 and I installed the binary version of guix 
following the documentation ( 
https://www.gnu.org/software/guix/manual/html_node/Binary-Installation.html#Binary-Installation 
)

Then I ran `guix pull`, made a new partition (ext4) and tried to run 
`guix system init` on it:

$ sudo guix system init /mnt/etc/config.scm /mnt

The config.scm is attached. The interesting part is that I specified to 
install grub on /dev/sda9 ( the root partition for guix) instead of 
/dev/sda. The command failed saying that "Embedding is not possible" ( 
here details: https://paste.debian.net/282642/ ).

Following the advice got from Mark on the IRC channel I tried specifing 
the --no-grub flag, but got an other error:

tyrion ~$ sudo guix system init --no-grub /mnt/etc/config.scm /mnt
[sudo] password for tyrion:
warning: failed to install locale: Invalid argument
/gnu/store/q32xg8nmyjwrl5yc18hj7ay5h4rgzkgy-system

initializing operating system under '/mnt'...
guix system: error: build failed: path 
`/gnu/store/hill6gywff6p2c3h1zbc7h5xj0cr4yn2-grub.cfg' is not valid

I also trying reinstalling guix by deleting /gnu, /var/guix, and 
/var/log/guix (and also wiping the partition with rm)
and following again the documentation. Tried again the last command and 
got the same error again.